<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::gui::DataPlot2D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_data_plot2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1gui_1_1_data_plot2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::gui::DataPlot2D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a 2D plot on the ground station.  
 <a href="classflair_1_1gui_1_1_data_plot2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot2_d_8h_source.html">DataPlot2D.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::gui::DataPlot2D:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1gui_1_1_data_plot2_d.png" usemap="#flair::gui::DataPlot2D_map" alt=""/>
  <map id="flair::gui::DataPlot2D_map" name="flair::gui::DataPlot2D_map">
<area href="classflair_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="flair::gui::DataPlot" shape="rect" coords="0,0,126,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a14cfb30a1f56d6f7acc5f225a24d213f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html#a14cfb30a1f56d6f7acc5f225a24d213f">DataPlot2D</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string x_name, float xmin, float xmax, std::string y_name, float ymin, float ymax)</td></tr>
<tr class="memdesc:a14cfb30a1f56d6f7acc5f225a24d213f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a14cfb30a1f56d6f7acc5f225a24d213f">More...</a><br /></td></tr>
<tr class="separator:a14cfb30a1f56d6f7acc5f225a24d213f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bae1723d99ae31d9c1936f782d9ee3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html#a1bae1723d99ae31d9c1936f782d9ee3e">~DataPlot2D</a> ()</td></tr>
<tr class="memdesc:a1bae1723d99ae31d9c1936f782d9ee3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a1bae1723d99ae31d9c1936f782d9ee3e">More...</a><br /></td></tr>
<tr class="separator:a1bae1723d99ae31d9c1936f782d9ee3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add21a8cf4753bd3329534739cea5073e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html#add21a8cf4753bd3329534739cea5073e">AddCurve</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *x_element, const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *y_element, <a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a> color, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:add21a8cf4753bd3329534739cea5073e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from elements to the plot.  <a href="#add21a8cf4753bd3329534739cea5073e">More...</a><br /></td></tr>
<tr class="separator:add21a8cf4753bd3329534739cea5073e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a4caf997b35f97b97021090bc7be64"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html#a86a4caf997b35f97b97021090bc7be64">AddCurve</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *x_element, const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *y_element, uint8_t r=255, uint8_t g=0, uint8_t b=0, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:a86a4caf997b35f97b97021090bc7be64"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from elements to the plot.  <a href="#a86a4caf997b35f97b97021090bc7be64">More...</a><br /></td></tr>
<tr class="separator:a86a4caf997b35f97b97021090bc7be64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a 2D plot on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a14cfb30a1f56d6f7acc5f225a24d213f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::DataPlot2D::DataPlot2D </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>x_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>xmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>xmax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>y_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a 2D plot at given place position.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display the plot </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">x_name</td><td>name of x axis </td></tr>
    <tr><td class="paramname">xmin</td><td>default xmin of the plot </td></tr>
    <tr><td class="paramname">xmax</td><td>default xmax of the plot </td></tr>
    <tr><td class="paramname">y_name</td><td>name of y axis </td></tr>
    <tr><td class="paramname">ymin</td><td>default ymin of the plot </td></tr>
    <tr><td class="paramname">ymax</td><td>default ymax of the plot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1bae1723d99ae31d9c1936f782d9ee3e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::DataPlot2D::~DataPlot2D </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="add21a8cf4753bd3329534739cea5073e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::gui::DataPlot2D::AddCurve </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>x_element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>y_element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a>&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from elements to the plot. </p>
<p>Curve's color can be selected by its name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_element</td><td>element to plot for x coordinate </td></tr>
    <tr><td class="paramname">y_element</td><td>element to plot for y coordinate </td></tr>
    <tr><td class="paramname">color</td><td>color of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve ofr the legend </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a86a4caf997b35f97b97021090bc7be64"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::gui::DataPlot2D::AddCurve </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>x_element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>y_element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from elements to the plot. </p>
<p>Curve's color can be selected by its RGB components.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x_element</td><td>element to plot for x coordinate </td></tr>
    <tr><td class="paramname">y_element</td><td>element to plot for y coordinate </td></tr>
    <tr><td class="paramname">r</td><td>red component of the curve </td></tr>
    <tr><td class="paramname">g</td><td>green component of the curve </td></tr>
    <tr><td class="paramname">b</td><td>blue component of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve ofr the legend </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html">DataPlot2D</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
